Subject: Re: "warning: Updating the currently checked out branch may cause confusion" on bare repositories

From: Adam Megacz <[email-masked]>
Date: Tue, 19 Jan 2010 18:55:25 +0000

"Shawn O. Pearce" <[email-masked]> writes:
> That should already be the case.  Did you create the bare repository
> by taking a copy of a non-bare's .git directory?  Check your bare
> repository's config file and see if core.bare = false, if so set
> it to true to signal it really is bare.

Hrm, is there a reason why this is explicitly configured rather than
detected?

I was under the impression that you could create a bare repository by
simply throwing away the working tree and renaming ".git" to any other
name, but I guess I was wrong.

  - a